curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/renewal_decisions/{renewal_decision_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/renewal_decisions/{renewal_decision_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/renewal_decisions/{renewal_decision_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"carriers": [
{
"carrier_id": "bf81f0c4-3105-4240-b62b-aa6de3f607e4",
"lines_of_coverage": {
"dental": {
"open_enrollment_end_date": "2022-01-31",
"open_enrollment_start_date": "2022-01-01",
"plans": [
{
"name": "Dental Plus Plan",
"plan_id": "81803f12-0a96-11ec-9a03-0242ac130003"
}
]
},
"medical": {
"open_enrollment_end_date": "2022-01-31",
"open_enrollment_start_date": "2022-01-01",
"plans": [
{
"name": "Select Plus PPO HDHP Gold BRJJ /C38",
"plan_id": "818e52d4-6c34-4914-b716-a3047c85e468"
},
{
"name": "Select Plus PPO HDHP Silver BRJJ /C38",
"plan_id": "f9897240-87f8-4d9d-a68f-58bc445fe0b2"
},
{
"name": "Select Plus PPO HDHP Bronze BRJJ /C38",
"plan_id": "19437852-3795-4cb4-939c-a86543eabee0"
}
]
}
}
}
]
},
"created": 1557862286,
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "b5f2b5f7-0336-45f7-baf1-7e11dfac50a6",
"issues": [
{
"level": "error",
"message": "Life open enrollment start date is 2021-08-01 in carrier system"
},
{
"level": "error",
"message": "LTD Plan not available yet in carrier system"
}
],
"modified": 1557862286,
"renewal_date": "2022-01-01",
"status": "not_ready",
"version": "23be0ba3-1183-4e8e-8e9d-644527414c6e"
}Get Renewal Decision
Returns a renewal decision by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group for which you are retrieving a renewal decision
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
The unique identifier of the renewal decision you want to retrieve
"4093a441-d4c8-4c8a-24d1-e7a132fb1bc2"
Response
Successful Response - Returns the found renewal decision.
The carrier and coverage expectations for the open enrollment period
Show child attributes
Show child attributes
The date the record was created
Unique identifier of the group in Noyo
Unique identifier of the record in Noyo
List of any issues that explain why the open enrollment is 'not_ready'. Will be empty if it is status 'ready' or 'submitted'.
Show child attributes
Show child attributes
The date the record was last updated
The start date for the new enrollment year when all coverage changes and decisions should become active
Calculated status based on whether or not the carrier system matches the expected renewal decisions
submitted, not_ready, ready, done Current version of the record
Was this page helpful?
